Moolre Documentation

API Reference / Webhooks

Webhook deliveries

POSThttps://api.moolre.com/open/webhook/deliveries

List the webhooks Moolre has sent, or is still retrying, to your wallet callback URLs, newest first. Use it to see which events were delivered, which are still being retried and which gave up.

Headers

  • X-API-USER string required

    Your Moolre username.

  • X-API-KEY string required

    Your wallet private API key. A public key is refused.

Body parameters

  • accountnumber string required

    Your Moolre wallet account number.

  • event string optional

    Filter by event name, for example payment.succeeded.

  • state string optional

    pending (still retrying), delivered or dead (gave up).

  • from string optional

    YYYY-MM-DD or a UTC date and time.

  • to string optional

    YYYY-MM-DD or a UTC date and time.

  • limit integer optional

    1 to 100. Default 25.

  • starting_after string optional

    An event_id: send next_cursor from the previous page.

  • include_payload integer optional

    Send 1 to include the event body that was sent.

Responses

200 Success

A page of delivery records.

{  "status": 1,  "code": "WHD01",  "message": "Webhook deliveries",  "data": {    "items": [      {        "event_id": "evt_0123456789abcdef01234567",        "event": "payment.succeeded",        "state": "dead",        "attempt": 9,        "last_http": 500,        "last_error": null,        "created": "2026-11-14T09:00:00Z"      }    ],    "has_more": false,    "next_cursor": null  },  "go": null,  "meta": {    "requestid": "req_c68f4c66115c26725c796242",    "notices": []  }}